import React,{useState} from 'react';
import {Image, Text, View,TextInput} from 'react-native';
import AsyncStorage from "@react-native-community/async-storage";


export const Settings = ({navigation}) => {
    const [sampleData, setSampleData] = useState("Sample data")
    const onChange = async (text) => {
        await AsyncStorage.setItem("sample",text).then(res => {
            setSampleData(res)
            console.log("res-->", res)
        })
    }
    return (
        <View>
            <Text>Hello Please enter text</Text>
            <TextInput onChangeText={(text) =>onChange(text)}/>
            <Text>{sampleData}</Text>
        </View>
    );
};
